<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.xxfc.platform.app.mapper.CofigMapper">

	<!-- 可根据自己的需求，是否要使用 -->
    <resultMap type="com.xxfc.platform.app.entity.Cofig" id="cofigMap">
        <result property="id" column="id"/>
        <result property="type" column="type"/>
        <result property="value" column="value"/>
        <result property="crtTime" column="crt_time"/>
        <result property="updTime" column="upd_time"/>
        <result property="isDel" column="is_del"/>
        <result property="params" column="params"/>
    </resultMap>

    <select id="getAllByType" resultMap="cofigMap">
      select  *  from  config
        <where>
            <if test="typeList!= null and typeList.size() > 0">
                type  IN
                <foreach collection="typeList" item="item" index="index" open="(" separator="," close=")">
                    #{item}
                </foreach>
           </if>
        </where>
    </select>

</mapper>